Delimited text import: precision loss (latlong)

2008-11-27 09:29 AM - Markus Neteler

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Mandriva Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11492

Description

I observe a severe precision loss when importing LatLong CSV files:

#original CSV:

ID,LONG,LAT

BG1,10.367989875,45.873774277

BG2,10.368377488,45.903017929

BG3,10.368990013,45.907293667

...

# imported into QGIS, saved as SHP

shpdump traps_LL.shp

Shapefile Type: Point   # of Shapes: 20

File Bounds: (      10.341,      45.874,0,0)

         to  (      10.903,      45.927,0,0)

...

Shape:18 (Point)  nVertices=1, nParts=0

  Bounds:(      10.369,      45.907, 0, 0)

      to (      10.369,      45.907, 0, 0)

     (      10.369,      45.907, 0, 0)

...

Precision of 3-digits isn't sufficient in LatLong, especially if my original data were good.

Suggestions: either increase the precision during import/export (not sure where it get's lost). Or add a "number of decimals" field to the

user frontend so that s/he may decide.

History

#1 - 2009-02-27 03:36 AM - Markus Neteler

- Resolution set to invalid

- Status changed from Open to Closed

OK, my bad (or say, of shpdump): the source code analysis of shpdump.c reveils that the precision loss is in shpdump. Hacking that program shows the

(test) points imported from CSV correctly into QGIS and exported to SHAPE.
#2 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
